%define upstream_name       Text-BibTeX
%define upstream_version    0.38

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:	Interface to read and parse BibTeX files 
License:	GPL or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		Text-BibTeX-0.38-Makefile.patch
Patch1:		%{name}-0.36.tests.patch
BuildRequires:	btparse
BuildRequires:	perl-devel
BuildRequires:	btparse-devel >= 0.34-2mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The Text::BibTeX module serves mainly as a high-level introduction to the
Text::BibTeX library, for both code and documentation purposes. The code loads
the two fundamental modules for processing BibTeX files (Text::BibTeX::File and
Text::BibTeX::Entry), and this documentation gives a broad overview of the
whole library that isn't available in the documentation for the individual
modules that comprise it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
%patch0 -p 1
%patch1
perl -pi -e 's|#!/usr/local/bin/perl5?|#!/usr/bin/perl|' btformat btcheck btsort examples/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor MYEXTLIB='%{_libdir}/libbtparse.so'
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 btformat btcheck btsort %{buildroot}%{_bindir}

%check
make test

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README examples
%{perl_vendorarch}/Text
%{perl_vendorarch}/auto/Text
%{_mandir}/*/*
%{_bindir}/*




%changelog
* Sun Aug 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.380.0-1mdv2010.0
+ Revision: 419928
- new perl version macro
- update Makefile patch for fuziness

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.38-1mdv2009.1
+ Revision: 292356
- update to new version 0.38

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.37-6mdv2009.0
+ Revision: 258611
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.37-5mdv2009.0
+ Revision: 246624
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.37-3mdv2008.1
+ Revision: 152328
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.37-2mdv2008.1
+ Revision: 123760
- kill re-definition of %%buildroot on Pixel's request


* Thu Nov 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.37-2mdv2007.0
+ Revision: 84655
- bump release
- fix x86_64 build
- new version
- Import perl-Text-BibTeX

* Wed Aug 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.36-3mdv2007.0
- Rebuild

* Sat Apr 29 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.36-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
- use mkrel

* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.36-1mdk
- New release 0.36
- buildrequires
- rediff patches

* Tue Jun 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdk 
- first mdk release

